<?php

namespace managerForIcomoon ; 

class Notice {
	
	static public $error = false ;
	static public $info = false ;
    static public $toastError = false ;
	static public $toastInfo = false ;
	
	static public function setInfo($info){
		self::$info = $info;
	}

	static public function setError($error){
		self::$error = $error ;
	}

    static public function setToastInfo($info){
		self::$toastInfo = $info;
	}

	static public function setToastError($error){
		self::$toastError = $error ;
	}

	static public function getHtml(){
        if(self::$error) : ?>
            <div class="notice notice-error notice-managerforicomoon-error is-dismissible">
                <p><span class="dashicons dashicons-warning"></span><?php echo self::$error; ?></p>
            </div>
        <?php endif; if(self::$info) : ?>
            <div class="notice notice-info notice-managerforicomoon-info is-dismissible">
                <p><span class="dashicons dashicons-yes-alt"></span><?php echo self::$info; ?></p>
            </div>
        <?php endif;
    }


    static public function getToastHtml(){
        if(self::$toastError) : 
            self::addToast(self::$toastError,'error');
        elseif(self::$toastInfo) : 
            self::addToast(self::$toastInfo,'info', false, true);
        endif;
    }


    static function addToast($txt, $type = 'info', $replace = false, $autoHide = false){
        $cssClass = 'managerforicomoon-toast managerforicomoon-toast-'.$type ;
        $id = self::makeid();
        if($autoHide) {
            $cssClass .= ' managerforicomoon-toast-autohide';
        }
        ?>
        <div class="<?php echo $cssClass ; ?>" id="toast-<?php echo $id ; ?>" style="display:none" data-duration="5000">
            <?php echo $txt ; ?>
            <span class="managerforicomoon-toast-close dashicons dashicons-no-alt" onclick="m4i_close_toast('toast-<?php echo $id ; ?>');"></span>
        </div>
        <?php /*
        if(replace === true) {
            jQuery('.managerforicomoon-toast-container').html(toast);
        } else {
            jQuery('.managerforicomoon-toast-container').append(toast);
        }
        jQuery('#toast-'+id).fadeIn();
        if(autoHide) {
            setTimeout(function() { 
                jQuery('#toast-'+id).fadeOut().remove();
            }, autoHide);
        }
        */
    }


    static function makeid($length=12) {
        $characters = '0123456789abcdefghijklmnopqrstuvwxyz';
        $randstring = '';
        for ($i = 0; $i < $length; $i++) {
            $randstring = $characters[rand(0, strlen($characters))];
        }
        return $randstring;
    }
}