<h2><?php echo __( "Upload ", 'managerforicomoon'); ?></h2>


<?php
$link = sprintf(wp_kses( __( 'Upload the .zip file generated by the <a href="%s" target="%s">Icomoon app</a>.', 'managerforicomoon' ), array(  'a' => array( 'href' => array(),'target' => array() ) ) ), esc_url( $this->icomoon_website ),'_blank' );
;
?>
<p>
	<?php echo $link ; ?>
</p>
<?php $nonce = wp_create_nonce('managerforicomoon-zip_nonce'); ?>
<form class="managerforicomoon-form" method="post" enctype="multipart/form-data">
	<input type="file" name="managerforicomoon-zip" id="fileToUpload">
	<input type="hidden" name="managerforicomoon-zip_nonce" value="<?php echo esc_attr($nonce); ?>" />
	<input type="submit" value="<?php echo __( "Upload",'managerforicomoon'); ?>" name="managerforicomoon-upload" class="button button-primary">
</form>


<h2><?php echo __( "Minify CSS", 'managerforicomoon'); ?></h2>
<p><?php echo __('Minify the css file to get a lighter file.', 'managerforicomoon'); ?></p>

<form class="managerforicomoon-form" method="post">
	<div class="managerforicomoon-submit-container">
		<?php if(file_exists(self::getIcomoonPath().'style.min.css')) : ?>
			<p><?php echo __('The minified version of the CSS file already exists.', 'managerforicomoon'); ?></p>
			<input type="submit" value="<?php echo __( "Minify CSS",'managerforicomoon'); ?>" name="managerforicomoon-minify" id="managerforicomoon-minify" class="button button-primary" disabled>
		<?php else : ?>
			<p><?php echo __('Click to generate the minified version.', 'managerforicomoon'); ?></p>
			<input type="submit" value="<?php echo __( "Minify CSS",'managerforicomoon'); ?>" name="managerforicomoon-minify" id="managerforicomoon-minify" class="button button-primary">
		<?php endif; ?>
	</div>
</form>



<h2><?php echo __( "Font pack settings", 'managerforicomoon'); ?></h2>
<?php

$link = sprintf(wp_kses( __( 'Download the file <a href="%s" download="%s" class="button button-primary">selection.json</a>', 'managerforicomoon' ), array(  'a' => array( 'href' => array(),'class' => array(), 'download' => array() ) ) ), esc_url( self::getIcomoonUrl().'selection.json' ),'selection.json' );
;
?>
<p><span class="dashicons dashicons-format-quote"></span>
<em>
	<?php echo __( "Every generated font pack contains a selection.json file which you can import to the Icomoon app. ",'managerforicomoon'); ?> 
	<?php echo __( "You may import this file both via the Import Icons button in the app, or via the project manager (accessed from Main Menu → Manage Projects).",'managerforicomoon'); ?> 
	<?php echo __( "If you import your selection.json file via the project manager, your project settings will get imported too.",'managerforicomoon'); ?> 
</em>
<a href="<?php echo $this->icomoon_website_doc_save_load; ?>" target="_blank">
	<?php echo __( "Click here for full instructions in icomoon website.", 'managerforicomoon'); ?>
</a>
</p>


<div class="managerforicomoon-form">
	<?php if(self::isIcomoonCustom()) { 
		echo $link ; 
	} else { 
		echo '<p>'. __( "You are using the default police pack.", 'managerforicomoon').'</p>'; 
		echo $link ;
	}
	?>	
</div>


<h2><?php echo __( "Restore default icons", 'managerforicomoon'); ?></h2>
<p><?php echo __('If you have any problems after importing your own icons, you can restore the default icons.', 'managerforicomoon'); ?></p>

<form class="managerforicomoon-form" method="post">
	<div><input type="checkbox" name="restore-confirm" id="restore-confirm"> <?php echo __( "By checking this box, I understood that I am about to delete my own icons as well as the selection.json file to replace them with the default icons.", 'managerforicomoon'); ?></div>
	<div><strong><?php echo __( "This operation is irreversible.", 'managerforicomoon'); ?></strong></div>
	<div class="managerforicomoon-submit-container">
		<input type="submit" value="<?php echo __( "Reset icons",'managerforicomoon'); ?>" name="managerforicomoon-restore" id="managerforicomoon-restore" class="button button-primary" disabled>
	</div>
</form>